import math

class Point:
	def __init__(self, x, y):
		self.x = x
		self.y = y
		
	def above(self, pt):
		if self.y > pt.y:
			return True
		else:
			return False
	
	def distance(self, p):
		return math.sqrt((self.x - p.x)**2 + (self.y - p.y)**2)
		
	def midpoint(self, p):
		return Point((self.x + p.x) / 2, (self.y + p.y) / 2)
		
def readpoint():
	x = float(input("Enter x:"))
	y = float(input("Enter y:"))
	p = Point(x, y)
	return p
	
		
def main():
	print("Enter point A")
	a = readpoint()
	print("Enter point B")
	b = readpoint()
	c = a.midpoint(b)
	
	print("Distance between A and B", a.distance(b))
	print("Distance between A and midpoint", a.distance(c))
	print("Distance between B and midpoint", b.distance(c))
